unit hiBASS_Global;

interface

uses Kol,Share,Debug,Dynamic_BASS;

type
  THIBASS_Global = class(TDebug)
   private
       procedure Err;
          public
    _prop_Device:integer;
    _prop_Freq:integer;
    _prop_Name:string;

    _data_Freq:THI_Event;
    _data_Device:THI_Event;
    _data_Name:THI_Event;

    _event_onError:THI_Event;

    procedure _work_doLoad(var _Data:TData; Index:word);
    procedure _work_doUnload(var _Data:TData; Index:word);
    procedure _work_doInit(var _Data:TData; Index:word);
    procedure _work_doStart(var _Data:TData; Index:word);
    procedure _work_doPause(var _Data:TData; Index:word);
    procedure _work_doStop(var _Data:TData; Index:word);
  end;

implementation

procedure THIBASS_Global.Err;
begin
   if BASS_ErrorGetCode > 0 then
    _hi_OnEvent(_event_onError,integer(BASS_ErrorGetCode));
end;

procedure THIBASS_Global._work_doLoad;
begin
    Load_BASSDLL(ReadString(_Data,_data_Name,_prop_Name));
end;

procedure THIBASS_Global._work_doUnload;
begin
    Unload_BASSDLL;
  //Err;
end;

procedure THIBASS_Global._work_doInit;
begin
   BASS_Init(ReadInteger(_Data,_data_Device,_prop_Device),ReadInteger(_Data,_data_Freq,_prop_Freq),
    0,ReadHandle,nil);
  Err;
end;

procedure THIBASS_Global._work_doStart;
begin
     BASS_Start;
  Err;
end;

procedure THIBASS_Global._work_doPause;
begin
  BASS_Pause;
  Err;
end;

procedure THIBASS_Global._work_doStop;
begin
  BASS_Stop;
  Err;
end;

end.
